Browse Source

first commit

root 7 years ago
commit
33429d213f
5 changed files with 666 additions and 0 deletions
  1. 2 0
      README.md
  2. 186 0
      deploy.sh
  3. 203 0
      files/build_miner_mod.sh
  4. 259 0
      files/patch_no_ads.diff
  5. 16 0
      files/wpa_supplicant.conf

+ 2 - 0
README.md

@@ -0,0 +1,2 @@
+Auto-install minera V7...
+no Adds, no donation , better miners softwares

+ 186 - 0
deploy.sh

@@ -0,0 +1,186 @@
+#!/bin/bash
+export VERSION=1.2
+export REV=21-04-2017
+set -e
+set +x
+export SRC_DIR=$(cd $(dirname $0) && pwd)
+ESC=$(echo -en \\0033)
+BOLD="$ESC[1m"
+OFF="$ESC[0m"
+
+bold() {
+    echo "$BOLD$1$OFF"
+}
+
+fail() {
+    bold "$@"
+    exit 1
+}
+full() { # full automation
+clear
+echo -e "\e[031m${BOLD}Minera auto_install v:$VERSION rev:$REV $OFF"
+echo -e "\e[031m${BOLD}Full installation$OFF"
+sudo apt-get update
+sudo apt-get install git postfix -y
+sleep 3
+init
+deploy
+sudo rm -r -f /var/www/minera/minera-bin/src/libblkmaker
+miners
+}
+
+init() { # Update and install prerequise
+clear
+echo -e "\e[031m${BOLD}Minera auto_install v:$VERSION rev:$REV $OFF"
+echo -e "\e[033m${BOLD}Raspberry Update:$OFF"
+sudo apt-get update
+sudo apt-get upgrade -y
+echo -e "\e[033m${BOLD}Install prerequises:$OFF"
+sudo apt-get install lighttpd php5-cgi dosfstools -y
+#sudo lighty-enable-mod fastcgi
+#sudo lighty-enable-mod fastcgi-php
+sleep 1
+if [ -f "/usr/sbin/rpi-clone" ];
+then echo -e "\e[039m${BOLD}Install rpi-clone: Already installed$OFF"
+else
+echo -e "\e[033m${BOLD}Install: rpi-clone$OFF"
+cd ..
+git clone https://github.com/billw2/rpi-clone.git
+cd rpi-clone
+sudo cp rpi-clone /usr/sbin
+fi
+echo -e "\e[033m${BOLD}Install: fastcgi$OFF"
+sudo apt-get install -y redis-server git screen php5-cli php5-curl
+sudo apt-get autoremove -y
+sudo /etc/init.d/lighttpd restart
+cd "$SRC_DIR"
+}
+
+deploy() { # Install Minera with my patched files
+if [ ! -d "/var/www/minera" ];
+then cd /var/www/
+sudo git clone https://github.com/michelem09/minera
+cd minera
+sudo git checkout 8890458b3dbb36cdc4bfb29c350759aec2588baf
+fi
+cd /var/www/minera
+echo -e "\e[033m${BOLD}Install: Patch:$OFF"
+sudo cp $SRC_DIR/files/patch_no_ads.diff .
+sudo patch -p1 <patch_no_ads.diff
+sudo ./install_minera.sh
+}
+
+miners() { # Install all modded miners
+cd /var/www/minera
+echo -e "\e[033m${BOLD}Building miners software:$OFF"
+sudo apt-get install build-essential autoconf automake libtool pkg-config libcurl4-openssl-dev libncursesw5-dev libgcrypt20-dev -y
+sudo apt-get install libjansson-dev uthash-dev libncurses5-dev libudev-dev libusb-1.0-0-dev libevent-dev libmicrohttpd-dev -y
+sudo cp $SRC_DIR/files/build_miner_mod.sh .
+cd /var/www/minera/minera-bin/src/
+ 	if [ -d "/var/www/minera/minera-bin/src/libbase58" ];
+        then cd /var/www/minera/minera-bin/src/libbase58
+        LOCAL=$(git rev-parse @)
+        REMOTE=$(git rev-parse @{u})
+                if [ $LOCAL = $REMOTE ]; then
+                sudo make install
+                echo -e "\e[039m${BOLD}Install libbase58 library: Up-to-date$OFF"
+                elif [ $LOCAL = $BASE ]; then
+                echo -e "\e[033m${BOLD}Install libbase58 drivers:$OFF"
+                echo "Need to pull"
+                sudo git pull
+                sudo ./autogen.sh
+                sudo ./configure
+                sudo make
+                sudo make install
+		sudo ldconfig
+                fi
+        else echo -e "\e[033m${BOLD}Install libbase58 library:$OFF"
+		cd /var/www/minera/minera-bin/src/
+                git clone https://github.com/luke-jr/libbase58.git
+                cd libbase58
+                sudo ./autogen.sh
+                sudo ./configure
+                sudo make
+                sudo make install
+		sudo ldconfig
+        fi
+	if [ -d "/var/www/minera/minera-bin/src/hidapi" ];
+	then cd /var/www/minera/minera-bin/src/hidapi
+	LOCAL=$(git rev-parse @)
+	REMOTE=$(git rev-parse @{u})
+		if [ $LOCAL = $REMOTE ]; then
+		sudo make install
+		echo -e "\e[039m${BOLD}Install Hidapi drivers: Up-to-date$OFF"
+		elif [ $LOCAL = $BASE ]; then
+		echo -e "\e[033m${BOLD}Install Hidapi drivers:$OFF"
+		echo "Need to pull"
+		sudo git pull
+		sudo ./bootstrap
+       		sudo ./configure
+       		sudo make
+       		sudo make install
+		fi
+	else echo -e "\e[033m${BOLD}Install Hidapi drivers:$OFF"
+		cd /var/www/minera/minera-bin/src/
+		git clone https://github.com/signal11/hidapi.git
+		cd /var/www/minera/minera-bin/src/hidapi
+		sudo apt-get install libudev-dev libusb-1.0-0-dev libfox-1.6-dev -y
+		sudo ./bootstrap
+		sudo ./configure
+		sudo make
+		sudo make install
+	fi
+        if [ -d "/var/www/minera/minera-bin/src/libblkmaker" ];
+        then cd /var/www/minera/minera-bin/src/libblkmaker
+        	LOCAL=$(git rev-parse @)
+        	REMOTE=$(git rev-parse @{u})
+                if [ $LOCAL = $REMOTE ]; then
+		sudo make install
+                echo -e "\e[039m${BOLD}Install libblmaker libs: Up-to-date$OFF"
+                elif [ $LOCAL = $BASE ]; then
+                echo -e "\e[033m${BOLD}Install libblmaker libs:$OFF"
+                echo "Need to pull"
+                sudo git pull
+                sudo ./autogen.sh
+                sudo ./configure
+                sudo make
+                sudo make install
+                fi
+        else echo -e "\e[033m${BOLD}Install libblmaker libs:$OFF"
+		cd /var/www/minera/minera-bin/src
+		git clone https://github.com/bitcoin/libblkmaker.git
+                cd /var/www/minera/minera-bin/src/libblkmaker
+                sudo ./autogen.sh
+                sudo ./configure
+                sudo make
+                sudo make install
+        fi
+cd /var/www/minera
+sudo ./build_miner_mod.sh all
+}
+
+patch_only() { # Patch only for original minera v7
+echo -e "\e[033m${BOLD}Install: Patch:$OFF"
+cd /var/www/minera
+sudo cp $SRC_DIR/files/patch_no_ads.diff .
+sudo patch -p1 <patch_no_ads.diff
+echo -e "\e[033m${BOLD}Patch : installed $OFF"
+}
+cd "$SRC_DIR"
+case "$1" in
+    full)    full;;
+    init)    init;;
+    deploy)  deploy;;
+    miners)  miners;;
+    patch_only) patch_only;;
+    *)
+        echo -e "\e[031m${BOLD}Minera auto_install v:$VERSION rev:$REV $OFF"
+        echo -e "${BOLD}Usage: $0 ( full | init | deploy | patch_only | miners )$OFF"
+        echo >&2
+        echo >&2 "Build actions:"
+        grep "() { #" $0 | grep -v grep | sed -e "s:^:  :" -e "s:() { #:  @:" | while read i; do
+        echo "   " $(eval "echo $i") | tr @ \\t
+        done
+        exit 1
+        ;;
+esac

+ 203 - 0
files/build_miner_mod.sh

@@ -0,0 +1,203 @@
+#!/bin/bash
+##################################################################### 
+# Minera builder script to build and update miner software binaries
+#
+# For usage just run the build_miner.sh without any argument
+#
+# Thanks to @brettvitaz https://github.com/brettvitaz
+#
+# modded by wareck@gmail.com
+#
+##################################################################### 
+
+
+set -u
+set -e
+VERSION=3.4.0306
+ 
+LINK_ONLY=0
+BUILD_OK=0
+DYNLINK=0
+ 
+MINERA_PATH="/var/www/minera"
+BINARY_PATH="$MINERA_PATH/minera-bin"
+SOURCE_PATH="$BINARY_PATH/src"
+ 
+CPUMINER_REPO="https://github.com/siklon/cpuminer-gc3355"
+CPUMINER_PATH="$SOURCE_PATH/cpuminer-gc3355"
+CPUMINER_CONFIG="CFLAGS=-O3"
+CPUMINER_BINARY="minerd"
+CPUMINER_MINERA_BINARY="minerd"
+ 
+BFGMINER_REPO="https://github.com/luke-jr/bfgminer.git"
+BFGMINER_PATH="$SOURCE_PATH/bfgminer"
+BFGMINER_CONFIG="--enable-scrypt --enable-keccak --enable-bfsb --enable-broad-udevrules --without-system-libbase58"
+BFGMINER_BINARY="bfgminer"
+BFGMINER_MINERA_BINARY="bfgminer"
+ 
+CGMINER_DMAXL_REPO="https://github.com/wareck/cgminer-lketc.git"
+CGMINER_DMAXL_PATH="$SOURCE_PATH/cgminer-lketc"
+CGMINER_DMAXL_CONFIG="--enable-scrypt --enable-gridseed --enable-zeus --enable-lketc"
+CGMINER_DMAXL_BINARY="cgminer"
+CGMINER_DMAXL_MINERA_BINARY="cgminer-dmaxl-zeus"
+ 
+CGMINER_REPO="https://github.com/ckolivas/cgminer.git"
+CGMINER_PATH="$SOURCE_PATH/cgminer"
+CGMINER_CONFIG="--enable-avalon --enable-bflsc --enable-bitforce --enable-bitfury  --enable-blockerupter   --enable-cointerra --enable-drillbit  --enable-hashfast  --enable-hashratio  --enable-icarus  --enable-klondike  --enable-modminer"
+CGMINER_BINARY="cgminer"
+CGMINER_MINERA_BINARY="cgminer"
+
+BITMINER_REPO="https://github.com/wareck/cgminer-hexminer.git"
+BITMINER_PATH="$SOURCE_PATH/cgminer-hex"
+BITMINER_CONFIG="--enable-hexminera --enable-hexminerb  --enable-hexmineru --enable-hexminerc  --enable-hexminer8 --enable-hexminerm --enable-hexminerr --enable-hexminerbe200 --enable-hexminer3"
+BITMINER_BINARY="cgminer"
+BITMINER_MINERA_BINARY="cgminer-hex"
+
+CGMINER_GK_REPO="https://wareck@bitbucket.org/wareck/cgminer-gekko.git"
+CGMINER_GK_PATH="$SOURCE_PATH/cgminer-gekko"
+CGMINER_GK_CONFIG="--enable-gekko --enable-bflsc --enable-icarus"
+CGMINER_GK_BINARY="cgminer"
+CGMINER_GK_MINERA_BINARY="cgminer-gekko"
+
+BFGMINER_MOON_REPO="--branch futurebit_driver https://github.com/jstefanop/bfgminer.git"
+BFGMINER_MOON_PATH="$SOURCE_PATH/bfgminer-moon"
+BFGMINER_MOON_CONFIG="--enable-scrypt --enable-scrypt --enable-futurebit --disable-other-drivers"
+BFGMINER_MOON_BINARY="bfgminer"
+BFGMINER_MOON_MINERA_BINARY="bfgminer-moon"
+ 
+function buildMiner {
+	if [[ $LINK_ONLY -eq 0 ]]; then
+		if [[ -d "$BUILD_PATH/.git" ]]; then
+			cd $BUILD_PATH
+			echo "Pulling repo $BUILD_REPO"
+			git fetch --all
+			git reset --hard
+		else
+			echo "Cloning repo $BUILD_REPO into $BUILD_PATH"
+			git clone $BUILD_REPO $BUILD_PATH 
+			cd $BUILD_PATH
+		fi
+		./autogen.sh
+		echo "Running ./configure $BUILD_CONFIG"
+		./configure ${BUILD_CONFIG}
+		make
+		sudo make install
+		sudo ldconfig
+	fi
+ if [[ -f $BINARY_PATH/$MINERA_BINARY ]]; then
+                sleep 1
+                else
+                echo "build temporary file..."
+                touch $BINARY_PATH/$MINERA_BINARY
+		fi
+	
+
+	if [[ -e "$BUILD_PATH/$BUILD_BINARY" ]]; then
+                echo "Removing old binary $BINARY_PATH/$MINERA_BINARY"
+                rm $BINARY_PATH/$MINERA_BINARY
+		echo "Copying new binary $BUILD_PATH/$BUILD_BINARY -> $BINARY_PATH/$MINERA_BINARY"
+		cp $BUILD_PATH/$BUILD_BINARY $BINARY_PATH/$MINERA_BINARY
+	else
+		echo "Failed to copy miner binary. File $BUILD_PATH/$BUILD_BINARY does not exist."
+	fi
+	if [[ $DYNLINK -eq 1 ]]; then
+		if [[ -e "/var/www/minera/minera-bin/custom/$MINERA_BINARY" ]]; then
+		rm /var/www/minera/minera-bin/custom/$MINERA_BINARY
+		fi
+		echo "Creating symlink to custom miner"
+		ln -s $BINARY_PATH/$MINERA_BINARY /var/www/minera/minera-bin/custom/$MINERA_BINARY
+	fi
+}
+ 
+ARGS="${@/%all/cpuminer bfgminer cgminer-dmaxl cgminer cgminer-hex cgminer-gekko bfgminer-moon}"
+ 
+if [[ -d "$SOURCE_PATH" ]]; then
+	for OPT in $ARGS; do
+		echo "$OPT"
+		if [[ $OPT = "-l" ]]; then
+			LINK_ONLY=1
+		elif [[ $OPT = "all" ]]; then
+			ARGS="cpuminer bfgminer cgminer-dmaxl cgminer cgminer-hex cgminer-gekko bfgminer-moon"
+		elif [[ $OPT = "cpuminer" ]]; then
+			BUILD_REPO=$CPUMINER_REPO
+			BUILD_PATH=$CPUMINER_PATH
+			BUILD_CONFIG=$CPUMINER_CONFIG
+			BUILD_BINARY=$CPUMINER_BINARY
+			MINERA_BINARY=$CPUMINER_MINERA_BINARY
+			BUILD_OK=1
+		elif [[ $OPT = "bfgminer" ]]; then
+			BUILD_REPO=$BFGMINER_REPO
+			BUILD_PATH=$BFGMINER_PATH
+			BUILD_CONFIG=$BFGMINER_CONFIG
+			BUILD_BINARY=$BFGMINER_BINARY
+			MINERA_BINARY=$BFGMINER_MINERA_BINARY
+			BUILD_OK=1
+		elif [[ $OPT = "cgminer-dmaxl" ]]; then
+			BUILD_REPO=$CGMINER_DMAXL_REPO
+			BUILD_PATH=$CGMINER_DMAXL_PATH
+			BUILD_CONFIG=$CGMINER_DMAXL_CONFIG
+			BUILD_BINARY=$CGMINER_DMAXL_BINARY
+			MINERA_BINARY=$CGMINER_DMAXL_MINERA_BINARY
+			BUILD_OK=1
+		elif [[ $OPT = "cgminer" ]]; then
+			BUILD_REPO=$CGMINER_REPO
+			BUILD_PATH=$CGMINER_PATH
+			BUILD_CONFIG=$CGMINER_CONFIG
+			BUILD_BINARY=$CGMINER_BINARY
+			MINERA_BINARY=$CGMINER_MINERA_BINARY
+			BUILD_OK=1
+		elif [[ $OPT = "cgminer-hex" ]]; then
+                        BUILD_REPO=$BITMINER_REPO
+                        BUILD_PATH=$BITMINER_PATH
+                        BUILD_CONFIG=$BITMINER_CONFIG
+                        BUILD_BINARY=$BITMINER_BINARY
+                        MINERA_BINARY=$BITMINER_MINERA_BINARY
+                        BUILD_OK=1
+			DYNLINK=1
+               	elif [[ $OPT = "cgminer-gekko" ]]; then
+			BUILD_REPO=$CGMINER_GK_REPO
+			BUILD_PATH=$CGMINER_GK_PATH
+			BUILD_CONFIG=$CGMINER_GK_CONFIG
+			BUILD_BINARY=$CGMINER_GK_BINARY
+			MINERA_BINARY=$CGMINER_GK_MINERA_BINARY
+			BUILD_OK=1
+			DYNLINK=1
+  		elif [[ $OPT = "bfgminer-moon" ]]; then
+    		        BUILD_REPO=$BFGMINER_MOON_REPO
+                        BUILD_PATH=$BFGMINER_MOON_PATH
+                        BUILD_CONFIG=$BFGMINER_MOON_CONFIG
+                        BUILD_BINARY=$BFGMINER_MOON_BINARY
+                        MINERA_BINARY=$BFGMINER_MOON_MINERA_BINARY
+                        BUILD_OK=1
+                        DYNLINK=1
+		else
+
+			echo "Option not recognized = $OPT"
+			BUILD_OK=0
+		fi
+		if [[ $BUILD_OK -eq 1 ]]; then
+			buildMiner
+		fi
+	done
+	if [[ $BUILD_OK -eq 0 ]]; then
+			echo " "
+			echo -e "\e[1m\e[33mBinary mining autobuilder \e[31mv$VERSION"
+			echo -e "\e[0m\e[39mUsage: build_miner.sh [OPTION] [MINER NAME(S)]..."
+			echo ""
+			echo "Arguments:"
+			echo "  -l                Link binaries only (do not build)"
+			echo ""
+			echo "Miner Names:"
+			echo "  cgminer           cgminer official"
+			echo "  cpuminer          cpuminer GC3355 fork"
+			echo "  bfgminer          bfgminer official"
+			echo "  cgminer-dmaxl     cgminer dmaxl fork (GridSeed and Zeus support)"
+			echo "  cgminer-hex       cgminer special HexMiner"
+			echo "  cgminer-gekko     cgminer with gekko support"
+			echo "  bfgminer-moon     bfgminer Futurebit Moonlander"
+			echo "  all               build all the above"
+			echo ""
+	fi
+else
+	echo "Minera source folder does not exist. Please install Minera prior to building the miners."
+fi

+ 259 - 0
files/patch_no_ads.diff

@@ -0,0 +1,259 @@
+diff --git a/application/config/app.php b/application/config/app.php
+index 53f0763..cca37fa 100644
+--- a/application/config/app.php
++++ b/application/config/app.php
+@@ -16,10 +16,10 @@
+ $config['system_user'] = 'minera';
+ $config['remote_config_url'] = 'https://raw.githubusercontent.com/michelem09/minera/master/minera.json';
+ $config['rpi_temp_file'] = '/sys/class/thermal/thermal_zone0/temp';
+-$config['btc_address'] = '1AmREReHNLec9EaW7gLRdW31LNSDA9SGR1';
+-$config['ltc_address'] = 'LLPmAT9gDwmiSdqwWEZu6mpUDmrNAnYBdC';
+-$config['doge_address'] = 'DLAHwNxfUTUcePewbkvwvAouny19mcosA7';
+-$config['mobileminer_apikey'] = 'Y8gl9PF6QR22Vv';
++$config['btc_address'] = '19D38nSQDvohjoQsjCxEzTVgnur55A1Nse';
++$config['ltc_address'] = 'LVBkphAosWQchMujg5kqrbwL9GiHoLJCmi';
++$config['doge_address'] = 'DHjvCvqH999V43e1G732QrYMKw9SjahvBN';
++$config['mobileminer_apikey'] = 'Y8gl9PF6QR22VV';
+ $config['mobileminer_url_stats'] = 'https://api.mobileminerapp.com/MiningStatisticsInput';
+ $config['mobileminer_url_notifications'] = 'https://api.mobileminerapp.com/NotificationsInput';
+ $config['mobileminer_url_poolsinput'] = 'https://api.mobileminerapp.com/PoolsInput';
+@@ -28,7 +28,7 @@
+ $config['mobileminera_url_stats'] = 'https://getminera.com/api/miners';
+ $config['minera_pool_url'] = 'stratum+tcp://ltc.ghash.io:3333';
+ $config['minera_pool_url_sha256'] = 'stratum+tcp://us1.ghash.io:3333';
+-$config['minera_pool_username'] = 'michelem.minera';
++$config['minera_pool_username'] = 'wareck.minera';
+ $config['minera_pool_password'] = 'x';
+ $config['minera_api_url'] = 'https://getminera.com/api';
+ $config['ads'] = Array(
+@@ -38,4 +38,4 @@
+ 	'468x60' => '<iframe scrolling="no" style="border: 0; width: 468px; height: 60px;" src="//coinurl.com/get.php?id=51349&SSL=1"></iframe>'
+ );
+ /* End of file autoload.php */
+-/* Location: ./application/config/app.php */
+\ No newline at end of file
++/* Location: ./application/config/app.php */
+diff --git a/application/views/frontpage.php b/application/views/frontpage.php
+index ab3debe..cc452c5 100644
+--- a/application/views/frontpage.php
++++ b/application/views/frontpage.php
+@@ -318,11 +318,7 @@
+ 									</div><!-- /.row - inside box -->
+ 								</div><!-- /.box-body -->
+ 								<div class="box-footer">
+-									<?php if (!$adsFree) : ?>
+-									<div class="pull-right">
+-										<?php echo $ads['234x60'] ?>
+-									</div>
+-									<?php endif; ?>
++								
+ 							 		<h6>Exchange rates taken by <a href="https://www.blockr.io">Blockr.io</a> are updated every 10 minutes</h6>
+ 							 		<h6>Everything else are (almost) in real time. Profit formula is: <i>( time / (difficulty * 2^32) / hashrate ) * reward</i></h6>
+ 								</div>
+@@ -472,11 +468,7 @@
+ 									</div><!-- /.row - inside box -->
+ 								</div><!-- /.box-body -->
+ 								<div class="box-footer">
+-									<?php if (!$adsFree) : ?>
+-									<div class="pull-right">
+-										<?php echo $ads['234x60'] ?>
+-									</div>
+-									<?php endif; ?>
++									
+ 									<h6>Legend: <strong>CS</strong> = Current Shares, <strong>PS</strong> = Previous shares, <strong>CA</strong> = Current Accepted, <strong>PA</strong> = Previous Accepted, <strong>CR</strong> = Current Rejected, <strong>PR</strong> = Previous Rejected</h6>
+ 									<h6><strong>Current</strong> is the current or last session, <strong>Previous</strong> is the total of all previous sessions. Pool HashRate is based on shares over the time per session.</h6>
+ 								</div>
+@@ -788,27 +780,10 @@
+ 							</div><!-- /.miner box -->
+ 							<?php endif; ?>
+ 							
+-							<?php if (!$this->redis->get("minera_donation_time") || !$adsFree) : ?>					
+-							<!-- Donations box -->
+-							<div class="box bg-light box-danger" id="box-donation">
+-								<div class="box-header">
+-									<!-- tools box -->
+-									<i class="fa fa-gift"></i>
+-
+-									<h3 class="box-title">Donations</h3>
+-								</div>
+-								<div class="box-body text-center">
+-									<p>If you want to <strong>remove ads</strong> please <a href="<?php echo site_url("app/settings") ?>"><strong>USE THE BUTTON IN THE SETTINGS PAGE</strong></a>. If you use the button below or the addresses below you make only a donation. I will not remove ads if you don't use <a href="<?php echo site_url("app/settings") ?>"><strong>the right button</strong></a>.</p>
+-		                        	<div class="coinbase-donate-button">
+-		                            	<a class="coinbase-button" data-code="01ce206aaaf1a8659b07233d9705b9e8" data-button-style="custom_small" href="https://www.coinbase.com/checkouts/01ce206aaaf1a8659b07233d9705b9e8">Donate Bitcoins</a>
+-									</div>
+-									<p class="more-line-height">If you like Minera, please consider a donation to support it. <strong>Bitcoin</strong>: <code><a href="bitcoin:1AmREReHNLec9EaW7gLRdW31LNSDA9SGR1" target="_blank">1AmREReHNLec9EaW7gLRdW31LNSDA9SGR1</a></code> <strong>Litecoin</strong>: <code><a href="litecoin:LLPmAT9gDwmiSdqwWEZu6mpUDmrNAnYBdC" target="_blank">LLPmAT9gDwmiSdqwWEZu6mpUDmrNAnYBdC</a></code> <strong>Dogecoin</strong>: <code><a href="dogecoin:DLAHwNxfUTUcePewbkvwvAouny19mcosA7" target="_blank">DLAHwNxfUTUcePewbkvwvAouny19mcosA7</a></code></p>
+-								</div><!-- /.box-body -->
+-							</div>
+-							<?php endif; ?>
++							
+ 						</section>
+ 					</div>
+ 
+ 				</section><!-- /.content -->
+ 			</aside><!-- /.right-side -->
+-		</div><!-- ./wrapper -->
+\ No newline at end of file
++		</div><!-- ./wrapper -->
+diff --git a/application/views/include/footer.php b/application/views/include/footer.php
+index 8993eba..c842667 100644
+--- a/application/views/include/footer.php
++++ b/application/views/include/footer.php
+@@ -1,15 +1,9 @@
+ 	<div class="scroll-ad">
+-	    <?php if (!$adsFree) : ?>
+-	    <div class="text-right">
+-			<?php echo $ads['468x60'] ?>
+-    	</div>
+-    	<?php endif; ?>
+-		<div class="copyright">
++	    		<div class="copyright">
+ 			<div class="github-btn">
+ 				<a href="https://twitter.com/michelem" class="twitter-follow-button" data-show-count="false" data-show-screen-name="false">Follow @michelem</a>
+ 				<a class="github-button" href="https://github.com/michelem09/minera" data-count-href="/michelem09/minera/stargazers" data-count-api="/repos/michelem09/minera#stargazers_count" data-count-aria-label="# stargazers on GitHub" aria-label="Star michelem09/minera on GitHub">Star</a>
+ 			</div>
+-	  		<?php if (!$adsFree) : ?><a href="http://getminera.com" target="_blank"><i class="fa fa-asterisk"></i> Minera</a> your next mining dashboard - Need a wallet? Try <a href="https://www.coinbase.com/join/michelem" target="_blank">Coinbase</a> - <a href="<?php echo site_url("app/settings") ?>"><i class="fa fa-ban"></i> <strong>REMOVE ADS</strong></a><?php endif; ?>
+ 	  	</div>
+ 	</div>
+ 	
+diff --git a/application/views/include/sidebar.php b/application/views/include/sidebar.php
+index 00ae9c0..1b41414 100644
+--- a/application/views/include/sidebar.php
++++ b/application/views/include/sidebar.php
+@@ -10,7 +10,7 @@
+ 			data-minera-pool-username="<?php echo $this->util_model->getMineraPoolUser(); ?>"
+ 			data-minera-pool-url-scrypt="<?php echo $this->config->item('minera_pool_url') ?>"
+ 			data-minera-pool-url-sha256="<?php echo $this->config->item('minera_pool_url_sha256') ?>"
+-			data-ads-free="<?php echo $adsFree ?>"
++			
+ 		></div>
+ 
+ 		<!-- Modal -->
+@@ -30,29 +30,6 @@
+ 			</div>
+ 		</div>
+ 		
+-		<div id="modal-promo" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="Promo" aria-hidden="true" data-backdrop="static" data-keyboard="false" >
+-			<div class="modal-dialog modal-dialog-center modal-md">
+-				<div class="modal-content">
+-					<div class="modal-header bg-primary">
+-						<button type="button" class="close modal-promo-hide"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
+-						<h4 class="modal-title"><i class="fa fa-gift"></i> Support Minera</h4>
+-					</div>
+-					<div class="modal-body">
+-						<p>Please support the Minera project. This message will appear each hour. You can <a href="<?php echo site_url("app/settings#donation-box") ?>">completely remove the Ads on your Minera system</a>.</p>
+-						<div class="mt30 mb20 text-center">
+-							<div class="row">
+-								<div class="banner col-md-offset-1 col-md-5 promo-iframe" bannerid='promo1'><?php echo $ads['200x200'] ?></div>
+-								<div class="banner col-md-5 promo-iframe" bannerid='promo2'><?php echo $ads['200x200'] ?></iframe></div>
+-							</div>
+-						</div>
+-					</div>
+-					<div class="modal-footer modal-footer-center">
+-						<a href="<?php echo site_url("app/settings#donation-box") ?>" class="btn btn-sm btn-primary">Remove Ads</a>
+-					</div>
+-				</div>
+-			</div>
+-		</div>
+-		
+ 		<div id="modal-log" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="Logs" aria-hidden="true" data-backdrop="static" data-keyboard="false" >
+ 			<div class="modal-dialog modal-dialog-center modal-md">
+ 				<div class="modal-content">
+@@ -345,11 +322,7 @@
+                         </div>
+                     </div>
+ 					
+-					<?php if (!$adsFree) : ?>
+-					<div class="text-center">
+-						<?php echo ($dashboardSkin ==='black') ? $ads['200x200_black'] : $ads['200x200']; ?>
+-					</div>
+-					<?php endif; ?>
++					
+ 					
+                     <!-- sidebar menu -->
+                     <ul class="sidebar-menu">
+@@ -428,13 +401,7 @@
+                                 		<i class="fa fa-gear"></i> General
+                                 	</a>
+                                 </li>
+-                                <?php if (!$adsFree) : ?>
+-                                <li>
+-                                	<a href="<?php echo site_url("app/settings") ?>" class="menu-donation-box ml10">
+-                                		<i class="fa fa-ban"></i> Remove Ads
+-                                	</a>
+-                                </li>
+-                                <?php endif; ?>
++                                
+                                 <li>
+                                 	<a href="<?php echo site_url("app/settings") ?>" class="menu-donation-box ml10">
+                                 		<i class="fa fa-gift"></i> Donation
+diff --git a/application/views/settings.php b/application/views/settings.php
+index 2cc4904..9b757c3 100644
+--- a/application/views/settings.php
++++ b/application/views/settings.php
+@@ -159,26 +159,15 @@
+ 										<h3 class="box-title">Donations</h3>
+ 									</div>
+ 									<div class="box-body text-center">
+-										<?php if (!$adsFree) : ?>
+-											<p>If you like Minera, please consider a donation to support it. To remove all the ads forever (for this system) please click the button below and complete the donation (cost: 0.01 <i class="fa fa-btc"></i> for one system for life).</p>
+-											<?php if ($env === 'development') : ?>
+-												<p><a class="coinbase-button" data-env="sandbox" data-code="0897e9510eba42b39d4a4a3e6a4742df" data-button-style="custom_large" data-button-text="Remove Ads" data-width="185" data-heigth="60" href="https://sandbox.coinbase.com/checkouts/0897e9510eba42b39d4a4a3e6a4742df" data-custom="<?php echo $mineraSystemId.'||removeads||'.site_url('app/dashboard') ?>">Remove Ads</a></p>
+-											<?php else : ?>
+-												<p><a class="coinbase-button" data-code="ee38d16e2e37e5f148153a8817d5dc27" data-button-style="custom_large" data-button-text="Remove Ads" data-width="185" data-heigth="60" href="https://sandbox.coinbase.com/checkouts/ee38d16e2e37e5f148153a8817d5dc27" data-custom="<?php echo $mineraSystemId.'||removeads||'.site_url('app/dashboard') ?>">Remove Ads</a></p>
+-											<?php endif; ?>
+-										<?php else : ?>
+-											<p>You are ads-free, Thanks!</p>
+-			                            	<a class="coinbase-button" data-code="01ce206aaaf1a8659b07233d9705b9e8" data-button-style="custom_large" data-width="210" data-heigth="60" href="https://www.coinbase.com/checkouts/01ce206aaaf1a8659b07233d9705b9e8">Donate Bitcoins</a>
+-										<?php endif; ?>
+-										<p><strong>Bitcoin</strong>: <code><a href="bitcoin:1AmREReHNLec9EaW7gLRdW31LNSDA9SGR1" target="_blank">1AmREReHNLec9EaW7gLRdW31LNSDA9SGR1</a></code></p>
+-										<p><strong>Litecoin</strong>: <code><a href="litecoin:LLPmAT9gDwmiSdqwWEZu6mpUDmrNAnYBdC" target="_blank">LLPmAT9gDwmiSdqwWEZu6mpUDmrNAnYBdC</a></code></p>
+-										<p><strong>Dogecoin</strong>: <code><a href="dogecoin:DLAHwNxfUTUcePewbkvwvAouny19mcosA7" target="_blank">DLAHwNxfUTUcePewbkvwvAouny19mcosA7</a></code></p>
++										
++											<p>Fuckin' ads were removed !</p>
++			                            					<p></p>
++											<p>If you want I continue to manage theses cleaning patches, you can give me some coins...</p>
++										<p><strong>Bitcoin</strong>: <code><a href="bitcoin:19D38nSQDvohjoQsjCxEzTVgnur55A1Nse" target="_blank">19D38nSQDvohjoQsjCxEzTVgnur55A1Nse</a></code></p>
++										<p><strong>Litecoin</strong>: <code><a href="litecoin:LVBkphAosWQchMujg5kqrbwL9GiHoLJCmi" target="_blank">LVBkphAosWQchMujg5kqrbwL9GiHoLJCmi</a></code></p>
++										<p><strong>Dogecoin</strong>: <code><a href="dogecoin:DHjvCvqH999V43e1G732QrYMKw9SjahvBN" target="_blank">DHjvCvqH999V43e1G732QrYMKw9SjahvBN</a></code></p>
+ 									</div><!-- /.box-body -->
+-									<?php if (!$adsFree) : ?>
+-									<div class="box-footer text-center" style="clear:both">
+-										<?php echo $ads['234x60'] ?>
+-								    </div>
+-								    <?php endif; ?>
++									
+ 								</div>                            
+ 							</section><!-- End right section -->
+ 
+diff --git a/install_minera.sh b/install_minera.sh
+index 19c3b87..dfc7e8d 100755
+--- a/install_minera.sh
++++ b/install_minera.sh
+@@ -17,7 +17,7 @@ usermod -a -G dialout,plugdev,tty,www-data minera
+ echo -e "Adding sudoers configuration for www-data and minera users\n-----\n"
+ echo -e "\n#Minera settings\nminera ALL = (ALL) NOPASSWD: ALL\nwww-data ALL = (ALL) NOPASSWD: ALL" >> /etc/sudoers
+ 
+-MINER_OPT="--gc3355-detect --gc3355-autotune --freq=850 -o stratum+tcp://ltc.ghash.io:3333 -u michelem.minera -p x --retries=1"
++MINER_OPT="--gc3355-detect --gc3355-autotune --freq=850 -o stratum+tcp://ltc.ghash.io:3333 -u wareck.minera -p x --retries=1"
+ MINER_BIN=`pwd`"/minera-bin/"
+ MINERA_LOGS="/var/log/minera"
+ MINERA_CONF=`pwd`"/conf"
+@@ -59,7 +59,7 @@ echo -n "1" | redis-cli -x set minerd_autodetect
+ echo -n "1" | redis-cli -x set anonymous_stats
+ echo -n "cpuminer" | redis-cli -x set minerd_software
+ echo -n '["132","155","3"]' | redis-cli -x set dashboard_coin_rates
+-echo -e '[{"url":"stratum+tcp://ltc.ghash.io:3333","username":"michelem.minera","password":"x"}]'  | redis-cli -x set minerd_pools
++echo -e '[{"url":"stratum+tcp://ltc.ghash.io:3333","username":"wareck.minera","password":"x"}]'  | redis-cli -x set minerd_pools
+ 
+ echo -e "Adding minera startup command to rc.local\n-----\n"
+ chmod 777 /etc/rc.local
+diff --git a/rc.local.minera b/rc.local.minera
+index 482cc4b..68a6b8c 100644
+--- a/rc.local.minera
++++ b/rc.local.minera
+@@ -1,4 +1,4 @@
+-#!/bin/sh -e
++#!/bin/sh
+ #
+ # rc.local
+ #

+ 16 - 0
files/wpa_supplicant.conf

@@ -0,0 +1,16 @@
+country=GB
+ctrl_interface=DIR=/var/run/wpa_supplicant GROUP=netdev
+update_config=1
+network={
+        ssid="Freebox-57301A"
+        psk="colligavit5-terrebo7-mutescunt7-causea5"
+        key_mgmt=WPA-PSK
+}
+
+network={
+        ssid="anthill"
+        psk="miner2326"
+        key_mgmt=WPA-PSK
+}
+
+